# class hk_kdecsvexportdialog

KDE frontend dialog to export data in CSV format. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdecsvexportdialog.h>`
Inherits | QDialog (unknown) [public ], hk_reportcsv (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdecsvexportdialog (const QString& table, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 )
- ~hk_kdecsvexportdialog ()
- void set_usetablelist (bool tables)
- void set_database (hk_database* d)

#### Public Members

- QLabel* TextLabel1
- QLineEdit* filefield
- QToolButton* filebutton
- QComboBox* tablelist
- QLabel* TextLabel3
- QCheckBox* firstrow
- QLabel* TextLabel1_3
- QLineEdit* textdelimiterfield
- QLabel* TextLabel1_2
- QLabel* TextLabel2
- QComboBox* columnseparatorfield
- QPushButton* buttonOk
- QPushButton* buttonCancel
- QPushButton* buttonHelp

#### Protected Slots

- virtual void filebutton_clicked ()
- virtual void buttons_enabled ()
- virtual void ok_clicked (void)

#### Protected Members

- QHBoxLayout* hk_kdecsvexportdialogLayout
- QVBoxLayout* Layout12
- QHBoxLayout* Layout10
- QGridLayout* Layout11
- QVBoxLayout* Layout5

## Detailed Description

hk_kdecsvexportdialog (const QString& table, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 )

### hk_kdecsvexportdialog

~hk_kdecsvexportdialog ()

### ~hk_kdecsvexportdialog

QLabel* TextLabel1

### TextLabel1

QLineEdit* filefield

### filefield

QToolButton* filebutton

### filebutton

QComboBox* tablelist

### tablelist

QLabel* TextLabel3

### TextLabel3

QCheckBox* firstrow

### firstrow

QLabel* TextLabel1_3

### TextLabel1_3

QLineEdit* textdelimiterfield

### textdelimiterfield

QLabel* TextLabel1_2

### TextLabel1_2

QLabel* TextLabel2

### TextLabel2

QComboBox* columnseparatorfield

### columnseparatorfield

QPushButton* buttonOk

### buttonOk

QPushButton* buttonCancel

### buttonCancel

QPushButton* buttonHelp

### buttonHelp

void set_usetablelist (bool tables)

### set_usetablelist

void set_database (hk_database* d)

### set_database

void filebutton_clicked ()

### filebutton_clicked

[protected slots virtual slot]

void buttons_enabled ()

### buttons_enabled

[protected slots virtual slot]

void ok_clicked (void)

### ok_clicked

[protected slots virtual slot]

QHBoxLayout* hk_kdecsvexportdialogLayout

### hk_kdecsvexportdialogLayout

[protected]

QVBoxLayout* Layout12

### Layout12

[protected]

QHBoxLayout* Layout10

### Layout10

[protected]

QGridLayout* Layout11

### Layout11

[protected]

QVBoxLayout* Layout5

### Layout5

[protected]

- Version: $Revision: 1.12 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.